/******************************************************************
  CLASS:			MiscArrowButton
  INHERITS FROM: 	Button
  PROGRAMMER:		Todd Thomas, Copyright 1994 by Todd Thomas 
  START DATE:		Jan 16, 1993
  LAST CHANGED:		- 
  VERSION:			1.0
 
  A recreation of that button from Websters.app (in Preferences).
  This class is just a control to display the ArrowButtonCell. It
  has the same relationship with ArrowButtonCell, as Button and 
  ButtonCell. I only added my own designated initializer, and 
  overrode all the init methods to call it. I also had 
  to add a class method to set the cell class to ArrowButtonCell.
 
  CHANGES
 	1. Added setArrowAlignment/arrowAlignment methods instead of using
 	the already defined setAlignment/alignment methods. 
 
  This object is included in the MiscKit by permission from the author
  and its use is governed by the MiscKit license, found in the file
  "LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
  for a list of all applicable permissions and restrictions.
 *******************************************************************/
 
#import <AppKit/AppKit.h>
 

@interface MiscArrowButton : NSButton
{
}

+ (void) initialize;
+ (void) setCellClass:(Class)classId;

- init;
- initWithFrame:(NSRect)frameRect;

- (void) setArrowAlignment: (int)alignment;
- (int)arrowAlignment;	

@end


