/******************************************************************
 * CLASS:		MiscArrowButton
 *
 *	See the header for more information on this class.
 *
 * This object is included in the MiscKit by permission from the author
 * and its use is governed by the MiscKit license, found in the file
 * "LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
 * for a list of all applicable permissions and restrictions.
 *******************************************************************/

#import "MiscArrowButtonCell.h"
#import "MiscArrowButton.h"

static id  myStoredCellClass;

 
@implementation MiscArrowButton

+ (void)initialize
{
	myStoredCellClass = [MiscArrowButtonCell class];
	return;
}


+ (void) setCellClass:(Class)classId
{
	myStoredCellClass = classId;
	return;
}

- init
{
    NSRect frameRect;

    // create some frame since none was specified
    frameRect = NSMakeRect(10.0, 10.0, 125.0, 25.0);	
    return [self initWithFrame:frameRect];
}



- initWithFrame:(NSRect)frameRect
{
    [super initWithFrame:frameRect];
    [self setTitle:@"Left"];
    [self setAlternateTitle:@"Right"];
    [self setButtonType:NSToggleButton];
    [self setCell:[[[myStoredCellClass alloc] init] autorelease]];       

    return self;
}


// Used to set arrow alignment. (In previous versions, setAlignment was used
// but I realized that I also needed those methods). Sorry for any 
// inconvenience.

- (void) setArrowAlignment: (int)alignment
{
	[ [self cell] setArrowAlignment: alignment];
}



- (int)arrowAlignment
{
	return [ [self cell] arrowAlignment];
}

@end


