//-----------------------------------------------------------------------------------------------------------------
//		Written by Uwe Hoffmann Copyright 1995 by Uwe Hoffmann.
//				Version 1.0.  All rights reserved.
//
//		This notice may not be removed from this source code.
//-----------------------------------------------------------------------------------------------------------------

#import "MiscNumberSkipList.h"
#import <Foundation/NSUtilities.h>
#import <Foundation/NSException.h>
#import <Foundation/NSCoder.h>

@implementation MiscNumberSkipList

- initWithCoder:(NSCoder *)coder
{
    self = [super initWithCoder:coder];
	[self insertObjectsFromArray:[coder decodeObject]];
    return self;
}

- (void)encodeWithCoder:(NSCoder *)coder
{
    [super encodeWithCoder:coder];
    [coder encodeObject:[self allObjects]];
}

- (NSComparisonResult)compareNode:(SkipListNode *)p withObject:anObject
{
	if(!p)
		return NSOrderedDescending;
	return [(NSNumber *)p->nodeObject compare:(NSNumber *)anObject];
}	

- (void)checkArgument:anObject
{
	if(!anObject)
		[NSException raise:NSInvalidArgumentException format:@"Argument is nil"];
	if(![anObject isKindOfClass:[NSNumber class]])
		[NSException raise:NSInvalidArgumentException format:@"Argument is not a NSNumber"];
	return;
}

@end
