//-----------------------------------------------------------------------------------------------------------------
//		Written by Uwe Hoffmann Copyright 1995 by Uwe Hoffmann.
//				Version 1.0.  All rights reserved.
//
//		This notice may not be removed from this source code.
//-----------------------------------------------------------------------------------------------------------------

#import "Miscskiplist.h"

SkipListNode *allocNode(NSZone *zone, int nrLevels, id object)
{
	SkipListNode *aNode;
	int i;
	
	aNode = (SkipListNode *)malloc(sizeof(SkipListNode));
	aNode->nodeForwards = (SkipListNode **)malloc(sizeof(SkipListNode *) * nrLevels);
	aNode->nodeObject = object;
	for(i = 0;i < nrLevels;i++)
		aNode->nodeForwards[i] = NULL;
	return aNode;
}
	
void freeNode(SkipListNode *aNode)
{
	free(aNode->nodeForwards);
	free(aNode);
	return;
}

void cutNode(SkipListNode *aNode, int nrLevels)
{
	int i;
	
	for(i = 0;i < nrLevels;i++)
		aNode->nodeForwards[i] = NULL;
	return;
}
