/*
		Copyright (c) Uwe Hoffmann, 1995.
                  All Rights Reserved.

Filename: MiscUndoRecord.h
Author:   Uwe Hoffmann
Date:	  Jun 30, 1995

$Id: MiscUndoRecord.h,v 1.0 1995/06/30 11:22:00 Uwe Hoffmann Exp $
 $Log: MiscUndoRecord.h,v $
*/

#import <Foundation/Foundation.h>

@interface MiscUndoRecord:NSObject
{
	NSInvocation *invocation; 	/*"Holds the NSInvocation instance 
								   used to undo or redo other methods."*/
	unsigned int freeArgsMask;	/*"Specifies how the arguments of the invocation are freed."*/
}

/*"Allocating and initializing an MiscUndoRecord"*/
+ (MiscUndoRecord *)recordWithInvocation:(NSInvocation *)anInvocation;
+ (MiscUndoRecord *)recordWithTarget:target selector:(SEL)selector,...;
- initWithInvocation:(NSInvocation *)aInvocation;

/*"Dispatching"*/  
- (void)dispatch;

/*"Managing deallocation of invocation arguments"*/
- (void)freeUndoArgsOnDiscard;
- (void)freeUndoArgOnDiscardAt:(int)pos;
- (void)freeUndoArgsOnExecute;
- (void)freeUndoArgOnExecuteAt:(int)pos;

@end
