/***************************************************************************
 * CLASS:		ABInspector
 * PROGRAMMER:	Todd Thomas
 * DATE:		Dec 30, 1993
 *
 *	A new inspector was in order since the old Button inspector dealt with
 * attributes that mine did not, and some of the choices had adverse 
 * effects on the way that ArrowButton functioned. 
 *
 ***************************************************************************/

#import <AppKit/AppKit.h>
#import <Apps/InterfaceBuilder.h>


@interface ABInspector : IBInspector
{
    id	optionMatrix;		// bordered, transparent, etc.	
    id	tagField;	        // the button's tag
    id	titleField;		// title field
    id  altTitleField;		// altTitle field
    id  soundField;		// name of the sound
    id  alignMatrix;		// Matrix showing current alignment
}

- init;

- (void) revert: sender;

- (void) optionsChanged: sender;
- (void) tagChanged: sender;
- (void) titleChanged: sender;
- (void) altTitleChanged: sender;
- (void) soundChanged: sender;
- (void) alignmentChanged: sender;

- (BOOL) wantsButtons;

@end
