/*
**	SwitchView_IBSupport.m 
**	Copyright (C) 1995  David Slotnick 
**	 
**	This program is free software; you can redistribute it and/or 
**	modify it under the terms of the GNU General Public License as 
**	published by the Free Software Foundation; either version 1, or 
**	(at your option) any later version. 
**	 
**	This program is distributed in the hope that it will be useful, 
**	but WITHOUT ANY WARRANTY; without even the implied warranty of 
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
**	GNU General Public License for more details. 
**	 
**	You should have received a copy of the GNU General Public License 
**	along with this program; if not, write to the Free Software 
**	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
*/

/***************************************************************************/
// RCS identification information
//
static char rcsID[] = "$Id: SwitchView_IBSupport.m,v 1.3 1995/03/19 14:32:32 davids Exp $";
static void __AvoidCompilerWarning(void) {if(!rcsID)__AvoidCompilerWarning();}

/***************************************************************************/
// Included Files
//
#import "SwitchView_IBSupport.h"
#import <apps/InterfaceBuilder.h>

/***************************************************************************/
// Public Methods
//
@implementation SwitchView (IBSupport)

/*
**	Returns the IB inspector class for the SwitchView, or the inspector 
**	for the Box class if the alternate key is depressed. 
*/
- (const char *) getInspectorClassName 
{
	NXEvent *ev = [NXApp currentEvent];

	if (ev->flags & NX_ALTERNATEMASK) {
		return [super getInspectorClassName];
	} else {
		return "SwitchViewInspector";
	}
}

@end
