#import "TestObject.h"
#import <ansi/stdio.h>
#import <foundation/NSCoder.h>

@implementation TestObject

+ objectWithCString:(const char *)string
{
	return [[[self alloc] initWithCString:string] autorelease];
}

- initWithCString:(const char *)string
{
	char buffer[100];
	int number;
	
	self = [super init];
	if(sscanf(string,"%d%s",&number, buffer) == 2){
		theNumber = [[NSNumber numberWithInt:number] retain];
		theString = [[NSString stringWithCString:buffer] retain];
	} else {
		theNumber = [[NSNumber numberWithInt:0] retain];
		theString = [[NSString stringWithCString:"default"] retain];
	}
	return self;
}

- (void)dealloc
{
	[theNumber release];
	[theString release];
	return [super dealloc];
}

- (NSString *)description
{
	return [NSString stringWithFormat:@"%@-%@", [theNumber description], [theString description]];
}

- initWithCoder:(NSCoder *)coder
{
    self = [super initWithCoder:coder];
	theNumber = [coder decodeObject];
	theString = [coder decodeObject];
    return self;
}

- (void)encodeWithCoder:(NSCoder *)coder
{
    [super encodeWithCoder:coder];
    [coder encodeObject:theNumber];
	[coder encodeObject:theString];
}

- (NSComparisonResult)compare:(TestObject *)otherObject
{
	if(!otherObject)
		return NSOrderedDescending;
	return [(NSNumber *)theNumber compare:otherObject->theNumber];
}	


@end