
#import "TreeView.h"
#import "MiscLayoutTree.h"
#import "MiscUserPath.h"
#import "MiscLayoutTreeDebugging.h"
 
@implementation TreeView

- initFrame:(const NXRect *)frameRect
{
	MiscLayoutTree *l, *r, *ll, *lr;
	
	[super initFrame:frameRect];
	[window makeKeyAndOrderFront:nil];
	treeDiagram = [[MiscLayoutTree alloc] init];
	l = [MiscLayoutTree tree];
	r = [MiscLayoutTree tree];
	ll = [MiscLayoutTree tree];
	lr = [MiscLayoutTree tree];
	[l addBranch:ll];
	[l addBranch:lr];
	[treeDiagram addBranch:l];
	[treeDiagram addBranch:r];
	[treeDiagram layout];
	[self posTree];
	linePath = [[MiscUserPath alloc] init];
	[treeDiagram fillLines:linePath];
	return self;
}

- free
{
	[treeDiagram release];
	[linePath release];
	return [super free];
}

- (void)posTree
{
	NSRect r;
	NSPoint oldPos;
	NSPoint newPos;

	r = [treeDiagram branchBounds];
	oldPos = [treeDiagram pos];
	newPos.x = (bounds.size.width - r.size.width) / 2;
	newPos.y = (bounds.size.height - r.size.height) / 2 + (oldPos.y - r.origin.y);
	[treeDiagram setPos:newPos];
	[linePath resetFill];
	[treeDiagram fillLines:linePath];
}

- sizeTo:(NXCoord)width :(NXCoord)height
{
	
	[super sizeTo:width :height];
	[self posTree];
	return self;
}

- drawSelf:(const NXRect *)r :(int)count
{  
	PSsetgray(NX_WHITE);
	NXRectFill(&bounds);
   	PSsetgray(NX_BLACK);
	if([treeDiagram needsUpdateLayout]){
		[treeDiagram layout];
		[linePath resetFill];
		[treeDiagram fillLines:linePath];
	}
	[linePath send:dps_ustroke cached:YES];
	[treeDiagram drawNode];     	         	         	     
   	return self;			
}

@end

